/***************************************************************************
 *   Copyright (C) 2004-2006 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.6.1
 *   See LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef BIBPARSER_H
#define BIBPARSER_H
#include "c2butils.h"
#include "monthdb.h"

#include <qobject.h>
#include <qregexp.h>


class MonthDB;


/**
Class to include all Bibliographic reference manipulation
 
@author Pere Constans
*/

class bibParser : public QObject
{
    Q_OBJECT
public:
    bibParser(QObject *parent = 0, const char *name = 0);
    ~bibParser();

    QStringList fieldl;
    QStringList fieldlm;


protected:
    MonthDB *MDB;
    QRegExp REfield;
    QStringList TypesList;
    QString medlToc2b( const QString& );
    QString setPages( const QString& );
    void setMenuOrdering();
    void setOutOrdering();
    void setRefTypes();

};

#endif
